al_ustr_offset(3)

NAME

al_ustr_offset - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_ustr_offset(const ALLEGRO_USTR *us, int index)

DESCRIPTION

Return the byte offset (from the start of the string) of the code point at the specified index in the string. A zero index parameter will return the first character of the string. If index is negative, it counts backward from the end of the string, so an index of -1 will return an offset to the last code point.

If the index is past the end of the string, returns the offset of the end of the string.

SEE ALSO

al_ustr_length(3)